Bug 91677 - Bughunting: Sliders on ruler are broken for some conditions
Summary: Bughunting: Sliders on ruler are broken for some conditions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-27 21:47 UTC by Yan Pas
Modified: 2016-09-15 22:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
file bug (19.42 KB, application/vnd.oasis.opendocument.text)
2015-05-27 21:47 UTC, Yan Pas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2015-05-27 21:47:36 UTC
Created attachment 116083 [details]
file bug

In LO 4.4 O. In 5.1 unable to select indent via ruler for any paragraph. Ruler just flickers.
PS too many flickering elements in LO since 5.0
Comment 1 Yan Pas 2015-05-27 21:48:05 UTC
* In LO 4.4 rulers work
Comment 2 Commit Notification 2015-05-29 07:59:54 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0922150c2b3a63b810af5adda2770f270185a61

tdf#91677 fix invidsible menu in Base

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Tomaz Vajngerl 2015-06-01 04:04:48 UTC
sorry, the commit should fix bug 91559 - and not this one.
Comment 4 Tomaz Vajngerl 2015-06-03 11:04:03 UTC
hm.. this document is "funky". For some reason document statistics calculation is triggered, which also triggers invalidate and almost every draw operation is impacted by this (look at the cursor) not just rulers. Removing the time field breaks the loop and rulers work again but I didn't find the exact cause yet. I also couldn't recreate a similar funky document.

Anyway, I fixed the ruler flickering at least, which was a separate problem.
Comment 5 Yan Pas 2015-06-03 11:23:29 UTC
I couldn't recreate doc too. I was drawing a lot of curves (кривые  безье - Bes'ye curves). Finished them by double click.
Comment 6 Commit Notification 2015-06-03 11:49:06 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f64588a9238cf0cb122c43d927d73822eca3b6ae

tdf#91677 fix flickering ruler

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-04 08:37:35 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c0866da20ebd1ab7ded67153af2b7a43edb69b6&h=libreoffice-5-0

tdf#91677 fix flickering ruler

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Yan Pas 2015-06-04 23:30:37 UTC
Interesting! If you delete page break (mouse over it, waut for button appears and click delete break) - then LO crashes. I'm using latest lodev 4 June
Comment 9 Xisco Faulí 2016-09-15 22:07:49 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 10 Tomaz Vajngerl 2016-09-15 22:11:14 UTC
Let's say it is..